GUIMB(1)

NAME
guimb - apply a scheme function to each message in mailboxes

SYNOPSIS
guimb [OPTIONS] [MAILBOX [MAILBOX...]]

DESCRIPTION
guimb -- apply a scheme function to each message in mailboxes

The following options stop argument processing, and pass the remaining arguments to the guimb-getopt function, if it is defined in the module:

-c, --code=EXPR
    execute given Scheme expression

-s, --source=MODNAME
    load Scheme module MODNAME

The following options have the same effect, but do not affect further options parsing:

-e, --expression=EXPR
    execute given Scheme expression

-f, --file=MODNAME
    load Scheme module MODNAME

The module to be loaded is normally defined in a file named MODNAME.scm somewhere in your %load-path.

Other options:

-M, --mailbox=NAME
    set output mailbox name

-u, --user[=NAME]
    direct output to the system mailbox of the user NAME (default - current user)

-r, --read-only
    open mailbox in read-only mode

Script arguments:

-g, --guile-arg=ARG
    append ARG to the command line passed to script

-{ args... -}
    append args to the command line passed to script

--lparen args... --rparen
    likewise

-L, --load-path=PATH
    append PATH to the beginning of the %load-path

-?, --help
    give this help list

--usage
    give a short usage message

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

REPORTING BUGS
Report bugs to <bug-mailutils@gnu.org>.

SEE ALSO
The complete GNU mailutils documentation is maintained as a Texinfo manual. If the mailutils-doc package is installed, the command

    info mailutils

should give you access to the complete manual.
You can also find this manual online in the GNU mailutils webpage:
https://www.gnu.org/software/mailutils/manual/index.html.
Please note this manpage was automatically generated by the Debian mailutils packagers. Do not file bugs for its content to the GNU Mailutils upstream authors.